Weblogic SAAJ version problem : java.lang.UnsupportedOperationException: This class does not support SAAJ 1.1

Recently I came across a weird issue where I get

java.lang.UnsupportedOperationException: This class does not support SAAJ 1.1

Whenever I tried to run my application in my integrated weblogic 10.3. After some research on net I found out the fix for this here

The Reason for the problem is Weblogic’s default SAAJ implementation, in package weblogic.webservice.core.soap, is flawed. Hence we need to override the properties to use a better implementation weblogic.xml.saaj  package.

To resolve this issue, set the below property either in your JDeveloper’s run settings for Server or in startWeblogic script.

-Djavax.xml.soap.MessageFactory=weblogic.xml.saaj.MessageFactoryImpl

 
Comments:

Post a Comment:
  • HTML Syntax: NOT allowed
About

bocadmin_ww

Search

Categories
Archives
« prill 2014
DieHënMarMërEnjPreSht
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today